curl -X GET https://api.swervpay.co/api/v1/customers/{id} \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.customer.get('{id}')
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->customer()->get('<CUSTOMER_ID>');
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Customer.Get(ctx, "<CUSTOMER_ID>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
{
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"is_blacklisted": true,
"last_name": "<string>",
"middle_name": "<string>",
"phone_number": "<string>",
"status": "<string>",
"tier": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}Customers
Get Customer
Get customer
GET
/
customers
/
{id}
curl -X GET https://api.swervpay.co/api/v1/customers/{id} \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.customer.get('{id}')
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->customer()->get('<CUSTOMER_ID>');
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Customer.Get(ctx, "<CUSTOMER_ID>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
{
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"is_blacklisted": true,
"last_name": "<string>",
"middle_name": "<string>",
"phone_number": "<string>",
"status": "<string>",
"tier": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}curl -X GET https://api.swervpay.co/api/v1/customers/{id} \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.customer.get('{id}')
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->customer()->get('<CUSTOMER_ID>');
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Customer.Get(ctx, "<CUSTOMER_ID>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I